%define module  HTML-WikiConverter
%define name    perl-%{module}
%define version 0.61
%define release %mkrel 2

Name:           %{name}
Version:        %{version}
Release:        %{release}
summary:        HTML-WikiConverter - An HTML to wiki markup converter
License:        GPL or Artistic
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/HTML/%{module}-%{version}.tar.bz2
BuildRequires:  perl(HTML::Parser)
BuildRequires:  perl(URI)
BuildRequires:  perl(HTML::Tree)
BuildRequires:  perl(CSS)
BuildRequires:  perl(Params::Validate)
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
HTML::WikiConverter is an HTML to wiki converter. It can convert HTML
source into a variety of wiki markups, called wiki "dialects".

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_mandir}/*/*
%{_bindir}/*
%{perl_vendorlib}/HTML



%changelog
* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.61-2mdv2008.1
+ Revision: 137162
- fix build dependencies
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Aug 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.61-1mdv2007.0
- New version 0.61
- buildrequires

* Fri Jun 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.55-1mdv2007.0
- New version 0.55

* Wed Jun 07 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.53-1mdv2007.0
- New release 0.53
- better source URL

* Mon Mar 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.52-1mdk
- New release 0.52

* Fri Feb 10 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.51-1mdk
- New release 0.51

* Wed Jan 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.50-1mdk
- New release 0.50
- spec cleanup
- fix directory ownership

* Mon Oct 10 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.30-4mdk
- Fix BuildRequires

* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.30-3mdk
- Buildrequires fix

* Thu Sep 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.30-2mdk
- Fix buildrequires

* Tue Aug 16 2005 Guillaume Rousse <guillomovitch@mandriva.org> -
- new version
- fix sources url for rpmbuildupdate
- drop empty directories

* Thu Apr 28 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.22-1mdk
- initial release

